Bug 190923 - CVE-2006-2237: awstats arbitrary code execution vulnerability
CVE-2006-2237: awstats arbitrary code execution vulnerability
Product: Fedora
Classification: Fedora
Component: awstats (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
: Reopened, Security
Depends On:
  Show dependency treegraph
Reported: 2006-05-06 13:09 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-09 05:06:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-06 13:09:48 EDT
awstats < 6.6 has reportedly an arbitrary code execution vulnerability, fixed in
upstream 6.6.  No CVE id yet (I've mailed them), but here's more info:
Comment 1 Aurelien Bompard 2006-05-07 19:44:35 EDT
Awstats 6.6 is still in beta and did not work for me (update gave "Use of
uninitialized value in substitution (s///) at ..."), so I backported the fix
from CVS instead (it's a two-liner).
FC-5 and FC-4 versions building, devel is updated to 6.6 and I'll keep it
updated when a new beta arrives.
Comment 2 Ville Skyttä 2006-05-09 02:15:31 EDT
It appears that this is not fixed; the problem is in the unsanitized "migrate"
query string parameter.
Comment 3 Aurelien Bompard 2006-05-09 05:06:58 EDT
OK, strangely the files in the 6.6 beta tarball are more recent than what I got
from CVS... And they include the proper fix, which I've backported.
Patch updated, builds requested for FC-5 and FC-4.

Is there a way to contact Fedora Legacy ? The patch should apply on FC-3 and
with possible small modifications to older releases. I could just update FC-3
and request the build, but I have no FC-3 machines to test it on.

Note You need to log in before you can comment on or make changes to this bug.